from google.protobuf import struct_pb2 as _struct_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class VerificationStatus(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
    __slots__ = []
    unknown: _ClassVar[VerificationStatus]
    created: _ClassVar[VerificationStatus]
    initialized: _ClassVar[VerificationStatus]
    accessed: _ClassVar[VerificationStatus]
    pending: _ClassVar[VerificationStatus]
    constrained: _ClassVar[VerificationStatus]
    futile: _ClassVar[VerificationStatus]
    paused: _ClassVar[VerificationStatus]
    succeeded: _ClassVar[VerificationStatus]
    failed: _ClassVar[VerificationStatus]
    canceled: _ClassVar[VerificationStatus]
    manual: _ClassVar[VerificationStatus]
unknown: VerificationStatus
created: VerificationStatus
initialized: VerificationStatus
accessed: VerificationStatus
pending: VerificationStatus
constrained: VerificationStatus
futile: VerificationStatus
paused: VerificationStatus
succeeded: VerificationStatus
failed: VerificationStatus
canceled: VerificationStatus
manual: VerificationStatus

class ContactDoesNotExist(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class VerificationDoesNotExist(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class VerificationAlreadyExists(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class MethodNotApplicable(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class IncorrectStatus(_message.Message):
    __slots__ = []
    def __init__(self) -> None: ...

class InvalidData(_message.Message):
    __slots__ = ["fields"]
    FIELDS_FIELD_NUMBER: _ClassVar[int]
    fields: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, fields: _Optional[_Iterable[str]] = ...) -> None: ...

class ContactId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class ContactHistoryId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class VerificationId(_message.Message):
    __slots__ = ["value"]
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class Event(_message.Message):
    __slots__ = ["event_datetime", "type", "details", "method"]
    EVENT_DATETIME_FIELD_NUMBER: _ClassVar[int]
    TYPE_FIELD_NUMBER: _ClassVar[int]
    DETAILS_FIELD_NUMBER: _ClassVar[int]
    METHOD_FIELD_NUMBER: _ClassVar[int]
    event_datetime: _timestamp_pb2.Timestamp
    type: str
    details: _struct_pb2.Struct
    method: str
    def __init__(self, event_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., type: _Optional[str] = ..., details: _Optional[_Union[_struct_pb2.Struct, _Mapping]] = ..., method: _Optional[str] = ...) -> None: ...

class VerificationInfo(_message.Message):
    __slots__ = ["verification_id", "contact_id", "create_datetime", "close_datetime", "last_access_datetime", "status", "manual_check_request", "reason", "reason_url", "events", "next_events"]
    VERIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    CREATE_DATETIME_FIELD_NUMBER: _ClassVar[int]
    CLOSE_DATETIME_FIELD_NUMBER: _ClassVar[int]
    LAST_ACCESS_DATETIME_FIELD_NUMBER: _ClassVar[int]
    STATUS_FIELD_NUMBER: _ClassVar[int]
    MANUAL_CHECK_REQUEST_FIELD_NUMBER: _ClassVar[int]
    REASON_FIELD_NUMBER: _ClassVar[int]
    REASON_URL_FIELD_NUMBER: _ClassVar[int]
    EVENTS_FIELD_NUMBER: _ClassVar[int]
    NEXT_EVENTS_FIELD_NUMBER: _ClassVar[int]
    verification_id: VerificationId
    contact_id: ContactId
    create_datetime: _timestamp_pb2.Timestamp
    close_datetime: _timestamp_pb2.Timestamp
    last_access_datetime: _timestamp_pb2.Timestamp
    status: VerificationStatus
    manual_check_request: bool
    reason: str
    reason_url: str
    events: _containers.RepeatedCompositeFieldContainer[Event]
    next_events: _containers.RepeatedCompositeFieldContainer[Event]
    def __init__(self, verification_id: _Optional[_Union[VerificationId, _Mapping]] = ..., contact_id: _Optional[_Union[ContactId, _Mapping]] = ..., create_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., close_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., last_access_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., status: _Optional[_Union[VerificationStatus, str]] = ..., manual_check_request: bool = ..., reason: _Optional[str] = ..., reason_url: _Optional[str] = ..., events: _Optional[_Iterable[_Union[Event, _Mapping]]] = ..., next_events: _Optional[_Iterable[_Union[Event, _Mapping]]] = ...) -> None: ...

class PlaceAddress(_message.Message):
    __slots__ = ["street", "city", "state_or_province", "postal_code", "country_code"]
    STREET_FIELD_NUMBER: _ClassVar[int]
    CITY_FIELD_NUMBER: _ClassVar[int]
    STATE_OR_PROVINCE_FIELD_NUMBER: _ClassVar[int]
    POSTAL_CODE_FIELD_NUMBER: _ClassVar[int]
    COUNTRY_CODE_FIELD_NUMBER: _ClassVar[int]
    street: _containers.RepeatedScalarFieldContainer[str]
    city: str
    state_or_province: str
    postal_code: str
    country_code: str
    def __init__(self, street: _Optional[_Iterable[str]] = ..., city: _Optional[str] = ..., state_or_province: _Optional[str] = ..., postal_code: _Optional[str] = ..., country_code: _Optional[str] = ...) -> None: ...

class ContactData(_message.Message):
    __slots__ = ["name", "organization", "birthdate", "company_registration_number", "emails", "address"]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    BIRTHDATE_FIELD_NUMBER: _ClassVar[int]
    COMPANY_REGISTRATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
    EMAILS_FIELD_NUMBER: _ClassVar[int]
    ADDRESS_FIELD_NUMBER: _ClassVar[int]
    name: str
    organization: str
    birthdate: str
    company_registration_number: str
    emails: _containers.RepeatedScalarFieldContainer[str]
    address: PlaceAddress
    def __init__(self, name: _Optional[str] = ..., organization: _Optional[str] = ..., birthdate: _Optional[str] = ..., company_registration_number: _Optional[str] = ..., emails: _Optional[_Iterable[str]] = ..., address: _Optional[_Union[PlaceAddress, _Mapping]] = ...) -> None: ...

class VerificationResult(_message.Message):
    __slots__ = ["verify_datetime", "method", "data", "contact_history_id", "name", "organization", "birthdate", "company_registration_number", "emails", "address"]
    VERIFY_DATETIME_FIELD_NUMBER: _ClassVar[int]
    METHOD_FIELD_NUMBER: _ClassVar[int]
    DATA_FIELD_NUMBER: _ClassVar[int]
    CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    BIRTHDATE_FIELD_NUMBER: _ClassVar[int]
    COMPANY_REGISTRATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
    EMAILS_FIELD_NUMBER: _ClassVar[int]
    ADDRESS_FIELD_NUMBER: _ClassVar[int]
    verify_datetime: _timestamp_pb2.Timestamp
    method: str
    data: ContactData
    contact_history_id: ContactHistoryId
    name: bool
    organization: bool
    birthdate: bool
    company_registration_number: bool
    emails: bool
    address: bool
    def __init__(self, verify_datetime: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., method: _Optional[str] = ..., data: _Optional[_Union[ContactData, _Mapping]] = ..., contact_history_id: _Optional[_Union[ContactHistoryId, _Mapping]] = ..., name: bool = ..., organization: bool = ..., birthdate: bool = ..., company_registration_number: bool = ..., emails: bool = ..., address: bool = ...) -> None: ...
